%global _empty_manifest_terminate_build 0
%global common_description \
Multi-vendor library to simplify Paramiko SSH connections to network devices

Name:           python-netmiko
Version:        4.3.0
Release:        1
Summary:        Multi-vendor library to simplify legacy CLI connections to network devices
License:        MIT
URL:            https://github.com/ktbyers/netmiko
Source0:        https://files.pythonhosted.org/packages/46/c5/fbc99404d15ec3c447fbb5a2e4a44eabee0ec9991a7246d8d80480766e82/netmiko-4.3.0.tar.gz
BuildArch:      noarch
%description
%{common_description}

%package -n python3-netmiko
Summary:        Multi-vendor library to simplify legacy CLI connections to network devices
Provides:       python-netmiko
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General build requires
BuildRequires:  python3-ntc-templates
BuildRequires:  python3-paramiko
BuildRequires:  python3-pyserial
BuildRequires:  python3-pyyaml
BuildRequires:  python3-scp
BuildRequires:  python3-textfsm
# General requires
Requires:       python3-ntc-templates
Requires:       python3-paramiko
Requires:       python3-pyserial
Requires:       python3-pyyaml
Requires:       python3-scp
Requires:       python3-textfsm
%description -n python3-netmiko
%{common_description}

%package help
Summary:        Multi-vendor library to simplify legacy CLI connections to network devices
Provides:       python3-netmiko-doc
%description help
%{common_description}

%prep
%autosetup -n netmiko-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

#%check
#%{__python3} setup.py test

%files -n python3-netmiko -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Apr 02 2024 wangqiang <wangqiang1@kylinos.cn> - 4.3.0-1
- Update package to version 4.3.0

* Fri Jul 14 2023 OpenStack_SIG <openstack@openeuler.org> - 4.2.0-1
- Upgrade package python3-netmiko to version 4.2.0

* Wed Dec 07 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 4.1.2-1
- Update package to version 4.1.2

* Mon Nov 7 2022 hkgy <kaguyahatu@outlook.com> - 4.1.1-1
- Upgrade to v4.1.1

* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 3.4.0-1
- Upgrade version for openstack yoga

* Mon Mar 15 2021 zhaorenhai <zhaorenhai@hotmail.com> - 3.3.3-2
- Change url and license

* Sat Mar 13 2021 zhaorenhai <zhaorenhai@hotmail.com> - 3.3.3-1
- Init package and spec, referenced from Fedora.

